﻿<%@ Control Language="C#"
    AutoEventWireup="true"
    CodeBehind="SettingsControl.ascx.cs" Inherits="Episerver.Marketing.Connector.Marketo.Views.Admin.SettingsControl" %>
<%@ Register TagPrefix="asp" Namespace="System.Web.UI" Assembly="System.Web" %>
<%@ Register TagPrefix="EPiServerUI" Namespace="EPiServer.UI.WebControls" Assembly="EPiServer.UI, Version=11.2.4.0, Culture=neutral, PublicKeyToken=8fe83dea738b45b7" %>

<%@ Import Namespace="EPiServer" %>
<%@ Import Namespace="Episerver.Marketing.Connector.Marketo" %>
<%@ Import Namespace="EPiServer.Shell.WebForms" %>
<%@ Import Namespace="EPiServer.Framework.Localization" %>
<script type="text/javascript">
    function confirmRemove(uxConnectorNameId) {
        var connectorName = document.getElementById(uxConnectorNameId).value;
        var confirmMessage = "<%= LocalizationService.Current.GetString("/episerver/marketing/connectors/common/removeconfirmation")%> ";
        var warningMessage = "\n<%= LocalizationService.Current.GetString("/episerver/marketing/connectors/common/removewarning")%>";
        if (connectorName == "") {
            connectorName = "New Connector"
            return confirm(confirmMessage + connectorName);
        } else {
            return confirm(confirmMessage + connectorName + warningMessage);
        }
    }

</script>
<fieldset>

    <legend><span id="controlDescription" runat="server"></span></legend>
    <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pErrorMessage" visible="false"></p>
    <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pStatusMessage" visible="false"></p>

    <div class="epi-size20">
        <div>
            <asp:Label runat="server" ID="lblConnectorName" AssociatedControlID="uxConnectorName">Connector Name</asp:Label>
            <asp:TextBox runat="server" ID="uxConnectorName"></asp:TextBox>
            <asp:label runat="server" ID="uxConnectorNameRequired" style="color: red">*</asp:label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblRestEndpointUrl" AssociatedControlID="txtRestEndpointUrl"></asp:Label>
            <asp:TextBox runat="server" ID="txtRestEndpointUrl" MaxLength="255" />
            <asp:label runat="server" ID="uxRestEndpointUrlRequired" style="color: red">*</asp:label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblClientId" AssociatedControlID="txtClientId"></asp:Label>
            <asp:TextBox runat="server" ID="txtClientId" MaxLength="255" />
            <asp:label runat="server" ID="uxClientIdRequired" style="color: red">*</asp:label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblClientSecret" AssociatedControlID="txtClientSecret"></asp:Label>
            <asp:TextBox runat="server" ID="txtClientSecret" MaxLength="255" />
            <asp:label runat="server" ID="uxClientSecretRequired" style="color: red">*</asp:label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblWorkspaceNames" AssociatedControlID="txtWorkspaceNames"></asp:Label>
            <asp:TextBox runat="server" ID="txtWorkspaceNames" TextMode="MultiLine" />
            <br />
        </div>
        <div>
            <asp:Label runat="server" ID="lblUpdateEntity" AssociatedControlID="uxUpdateEntity"></asp:Label>
            <asp:DropDownList ID="uxUpdateEntity" runat="server">
            </asp:DropDownList>
            <br />
        </div>
        <asp:Panel runat="server" CssClass="epi-padding">
            <asp:RadioButton runat="server" ID="rbNoScript" GroupName="TrackingCode" />
            <asp:label runat="server" ID="uxTrackingCodeRequired" style="color: red">*</asp:label>
            <br />
            <asp:RadioButton runat="server" ID="rbMunchkin" GroupName="TrackingCode" />
            <br />
            <div class="epi-size25" id="divTrackingCode" runat="server">
                <asp:TextBox runat="server" ID="txtTracking" Width="99%" TextMode="MultiLine" Rows="10" />
                <asp:CustomValidator runat="server" ID="cvTrackingCode" ControlToValidate="txtTracking" ClientValidationFunction="validateTrackingCode"
                    OnServerValidate="ValidateTrackingCode" ValidateEmptyText="true" Display="None" ErrorMessage="Tracking scripts are required">
                </asp:CustomValidator>
            </div>
        </asp:Panel>
        <div class="epi-buttonContainer">
            <span class="epi-cmsButton">
                <asp:Button runat="server" ID="uxEdit" OnClick="EditClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Edit" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
            </span>
            <span class="epi-cmsButton">
                <asp:Button runat="server" ID="uxSave" OnClick="SaveClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
            </span>
            <span class="epi-cmsButton">
                <asp:Button runat="server" ID="uxRemove" OnClick="RemoveClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Cancel" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
            </span>
        </div>
    </div>
</fieldset>

<script type="text/javascript">
    function validateTrackingCode(event, args) {
        if ($("#<%= rbMunchkin.ClientID %>").attr("checked")) {
            args.IsValid = $.trim(args.Value) != '';
        }
    }
    $(document).ready(function () {
        var container = ".marketo-settings";
        $("input:radio", container).click(function () {
            var useTrackingCode = this.id === "<%= rbMunchkin.ClientID %>";

            $("#<%= divTrackingCode.ClientID %>", container).css("display", useTrackingCode ? "" : "none");
        })

        // Hide the server message everytime clicking on the Save button
        $("#<%= uxSave.ClientID %>").click(function () {
            $("#pStatusMessage").hide();
        });
    })
</script>
